%define oname h2

Name: python3-module-h2
Version: 4.1.0
Release: alt1

Summary: HTTP/2 State-Machine based protocol implementation

Group: Development/Python3
License: MIT
Url: https://github.com/python-hyper/hyper-h2

# Source-url: https://github.com/python-hyper/hyper-h2/archive/v%version.tar.gz
Source: %name-%version.tar

# https://github.com/python-hyper/h2/issues/1268
Patch1: eabe727282e7a7aa3254773292f86cf341bdc597.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3
BuildRequires: python3 >= 3.6.1
BuildRequires: python3-module-setuptools

# generated by 'epm restore --dry-run' from h2/setup.py install_requires
%py3_use hyperframe < 7
%py3_use hyperframe >= 6.0
%py3_use hpack < 5
%py3_use hpack >= 4.0


# for test
BuildRequires: python3-module-hypothesis

%description
This repository contains a pure-Python implementation of a HTTP/2 protocol
stack. It's written from the ground up to be embeddable in whatever program you
choose to use, ensuring that you can speak HTTP/2 regardless of your
programming paradigm.

%prep
%setup
%patch1 -p1

%build
%python3_build_debug

%install
%python3_install
%python3_prune

%check
PYTHONPATH=$(pwd)/build/lib py.test3

%files
%python3_sitelibdir/h2/
%python3_sitelibdir/h2*.egg-info/

%changelog
* Thu Jul 27 2023 Vitaly Lipatov <lav@altlinux.ru> 4.1.0-alt1
- new version 4.1.0 (with rpmrb script)
- add patch against python 3.11 changes in Enum's str

* Tue Apr 20 2021 Vitaly Lipatov <lav@altlinux.ru> 4.0.0-alt1
- new version 4.0.0 (with rpmrb script)

* Wed Nov 04 2020 Vitaly Lipatov <lav@altlinux.ru> 3.2.0-alt1
- new version 3.2.0 (with rpmrb script)

* Tue Sep 08 2020 Vitaly Lipatov <lav@altlinux.ru> 3.0.1-alt4
- standalone build python3 module

* Thu Aug 08 2019 Stanislav Levin <slev@altlinux.org> 3.0.1-alt3
- Fixed testing against Pytest 5.

* Wed Aug 16 2017 Aleksei Nikiforov <darktemplar@altlinux.org> 3.0.1-alt2
- Enabled python-3 build.
- Enabled tests.

* Thu Jun 15 2017 Vitaly Lipatov <lav@altlinux.ru> 3.0.1-alt1
- initial build for ALT Sisyphus

